package geometry.common;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public class Demo {
    private Demo() {
    }

    public static void launch(final Class<? extends JFrame> frameClass,
            final String title) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                try {
                    JFrame frame = (JFrame) frameClass.newInstance();
                    frame.setTitle(title);
                    frame.setVisible(true);
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }
}
